Subject: Re: linux-next: build failure after merge of the tty tree

From: Greg KH <[email-masked]>
Date: Thu, 6 Feb 2025 09:14:02 +0100

On Thu, Feb 06, 2025 at 08:40:34AM +0100, Benjamin Larsson wrote:
> On 2025-02-06 03:53, Stephen Rothwell wrote:
> > Hi all,
> > 
> > After merging the tty tree, today's linux-next build (x86_64_allmodconfig)
> > failed like this:
> > 
> > drivers/tty/serial/8250/8250_airoha.c:52:6: error: redefinition of 'airoha8250_set_baud_rate'
> >     52 | void airoha8250_set_baud_rate(struct uart_port *port,
> >        |      ^~~~~~~~~~~~~~~~~~~~~~~~
> > In file included from drivers/tty/serial/8250/8250_airoha.c:10:
> > drivers/tty/serial/8250/8250.h:328:20: note: previous definition of 'airoha8250_set_baud_rate' with type 'void(struct uart_port *, unsigned int,  unsigned int)'
> >    328 | static inline void airoha8250_set_baud_rate(struct uart_port *port,
> >        |                    ^~~~~~~~~~~~~~~~~~~~~~~~
> > 
> > Caused by commit
> > 
> >    e12ebf14fa36 ("serial: Airoha SoC UART and HSUART support")
> > 
> > I have used the tty tree from next-20250205 for today.
> > 
> COMPILE_TEST seems to be the cause for this.
> 
> +config SERIAL_8250_AIROHA
> +	tristate "Airoha UART support"
> +	depends on (ARCH_AIROHA || COMPILE_TEST) && OF && SERIAL_8250
> 
> 
> Should I send a patch removing this?

No, you should allow COMPILE_TEST to build the code, right?  Odd that I
can't build it here for some reason, I guess I need to enable OF on my
test builds...

thanks,

greg k-h